summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xbin/taler-deployment-prepare8
1 files changed, 8 insertions, 0 deletions
diff --git a/bin/taler-deployment-prepare b/bin/taler-deployment-prepare
index e26a3bc..e654324 100755
--- a/bin/taler-deployment-prepare
+++ b/bin/taler-deployment-prepare
@@ -26,6 +26,14 @@ if [[ -z ${TALER_CONFIG_CURRENCY+x} ]]; then
exit 1
fi
+# The script stops what started along the flow.
+# This function should help against processes left
+# somehow running.
+function stop_running() {
+ taler-deployment-stop
+}
+trap "stop_running" EXIT
+
function generate_config() {
EXCHANGE_PUB=$(gnunet-ecc -p "$HOME/deployment/private-keys/${TALER_ENV_NAME}-exchange-master.priv")